%global compdir %(pkg-config --variable=completionsdir bash-completion)
%global __requires_exclude .*Acme::Cow.*

Name:       cowsay
Version:    3.8.4
Release:    %mkrel 1
Summary:    Configurable speaking/thinking cow
License:    GPLv3+
Group:      Toys
URL:        https://github.com/cowsay-org/cowsay
Source0:    %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:    cowsay.bashcomp
Source2:    animalsay
Patch0:     fox-cow.patch

BuildArch:  noarch

BuildRequires:  pkgconfig(bash-completion)

%description
cowsay is a configurable talking cow, written in Perl.  It operates
much as the figlet program does, and it is written in the same spirit
of silliness.
It generates ASCII pictures of a cow with a message. It can also generate
pictures of other animals.

%prep
%setup -q

%build
echo No need to build anything

%install
# At least for cowsay-3.7.0, replace upstream's "make install" by our
# own installation code.
install -d -m 0755         %{buildroot}%{_bindir}
install -p -m 0755 bin/%{name} %{buildroot}%{_bindir}
ln -s              %{name} %{buildroot}%{_bindir}/cowthink

install -d -m 0755           %{buildroot}%{_mandir}/man1
install -p -m 0644 man/man1/%{name}.1 %{buildroot}%{_mandir}/man1
ln -s              %{name}.1 %{buildroot}%{_mandir}/man1/cowthink.1

install -d -m 0755              %{buildroot}%{_datadir}/%{name}/cows
install -p -m 0644 share/%{name}/cows/* %{buildroot}%{_datadir}/%{name}/cows

install -d -m 0755              %{buildroot}%{_datadir}/%{name}/site-cows

install -d -m 0755              %{buildroot}%{_sysconfdir}/%{name}/cowpath.d

# Install actions specific to the Fedora package

# License issue
rm -f %{buildroot}%{_datadir}/%{name}/cows/daemon.cow
# animalsay
install -p -m 0755 %{SOURCE2} %{buildroot}%{_bindir}
# bash completion file
install -d -m 0755            %{buildroot}%{compdir}
install -p -m 0644 %{SOURCE1} %{buildroot}%{compdir}/%{name}

%files
%doc CHANGELOG.md README*
%license LICENSE.txt
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/cowpath.d
%{_bindir}/%{name}
%{_bindir}/cowthink
%{_bindir}/animalsay
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/cowthink.1*
%{_datadir}/%{name}/
%{compdir}/%{name}


%changelog
* Sun Jun 08 2025 daviddavid <daviddavid> 3.8.4-1.mga10
+ Revision: 2189996
- new version: 3.8.4

* Fri Dec 23 2022 guillomovitch <guillomovitch> 3.7.0-1.mga9
+ Revision: 1926072
- cowsay not dead !

* Sat Mar 19 2022 umeabot <umeabot> 3.04-5.mga9
+ Revision: 1801142
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 3.04-4.mga8
+ Revision: 1490436
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 3.04-3.mga7
+ Revision: 1262090
- Mageia 7 Mass Rebuild

* Mon Jan 02 2017 akien <akien> 3.04-2.mga6
+ Revision: 1079657
- Remove dependency on perl-Acme-Cow

* Sun Jan 01 2017 akien <akien> 3.04-1.mga6
+ Revision: 1079127
- Version 3.04
- License changed to GPLv3
- New upstream URL

* Sat Feb 06 2016 umeabot <umeabot> 3.03-26.mga6
+ Revision: 940986
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.03-25.mga5
+ Revision: 739868
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.03-24.mga5
+ Revision: 678561
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.03-23.mga4
+ Revision: 503499
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 3.03-22.mga3
+ Revision: 348193
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 20 2012 pterjan <pterjan> 3.03-21.mga3
+ Revision: 319915
- Fix License tag

* Thu Feb 10 2011 boklm <boklm> 3.03-20.mga1
+ Revision: 49823
- imported package cowsay


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 3.03-20mdv2011.0
+ Revision: 610166
- rebuild

* Thu Jan 21 2010 Pascal Terjan <pterjan@mandriva.org> 3.03-19mdv2010.1
+ Revision: 494625
- Restore nice duck and rename Debian one to small-duck.cow

* Fri Dec 11 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.03-18mdv2010.1
+ Revision: 476342
- fix [censored for sake of younger audience] cow

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 3.03-17mdv2010.0
+ Revision: 437131
- rebuild

* Wed Feb 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.03-16mdv2009.1
+ Revision: 337593
- keep bash completion in its own package

* Tue Dec 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.03-15mdv2009.1
+ Revision: 318024
- fix broken cow file
- add new cows from Debian package (#46560)
- uncompress additional sources

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 3.03-14mdv2009.0
+ Revision: 243695
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 3.03-12mdv2008.1
+ Revision: 136345
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Aug 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.03-12mdv2008.0
+ Revision: 67055
- rebuild


* Fri Jun 09 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.03-11mdv2007.0
- %%mkrel
- rpmbuildupdate aware

* Sat Jun 04 2005 Guillaume Rousse <guillomovitch@mandriva.org> 3.03-10mdk 
- fix man page (fix #16291)

* Sat Jul 17 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.03-9mdk 
- hurry businesman compliant (aka two new wonderful cows)

* Sun Jul 11 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.03-8mdk 
- apologies to the girafes (with one only f)

* Sat Jun 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.03-7mdk 
- #mandrakefr compliant (aka four new additional cows)

* Thu Aug 21 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 3.03-6mdk
- save.the.world patch

